# Record Class CLNWriteRequest

java.lang.Object
java.lang.Record
com.io7m.calino.writer.api.CLNWriteRequest

Record Components:
  `channel` - The writable channel
  `target` - The target file
  `version` - The file version

public record CLNWriteRequest(SeekableByteChannel channel, URI target, CLNVersion version) extends Record
A write request.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CLNWriteRequest(SeekableByteChannel channel, URI target, CLNVersion version)`
  A write request.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SeekableByteChannel`
  `channel()`
  Returns the value of the `channel` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `URI`
  `target()`
  Returns the value of the `target` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `CLNVersion`
  `version()`
  Returns the value of the `version` record component.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CLNWriteRequest

    public CLNWriteRequest(SeekableByteChannel channel, URI target, CLNVersion version)
    A write request.
    Parameters:
      `channel` - The writable channel
      `target` - The target file
      `version` - The file version

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### channel

    public SeekableByteChannel channel()
    Returns the value of the `channel` record component.
    Returns:
      the value of the `channel` record component

  - ### target

    public URI target()
    Returns the value of the `target` record component.
    Returns:
      the value of the `target` record component

  - ### version

    public CLNVersion version()
    Returns the value of the `version` record component.
    Returns:
      the value of the `version` record component